/*
 * Copyright � 2011 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */

package com.nokia.example.mmsmidlet;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Display;

// Utility class used to show some information to the user
class InfoScreen extends Alert {
	InfoScreen() {
		super("InfoScreen");
	}

	void showInfo(String message, Display display) {
		setTitle("Info");
		setType(AlertType.INFO);
		setTimeout(3000);
		setString(message);
		display.setCurrent(this);
	}

	void showError(String message, Display display) {
		setTitle("Error");
		setType(AlertType.ERROR);
		setTimeout(5000);
		setString(message);
		display.setCurrent(this);
	}
}